import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/withdrawal/list/pageV2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/withdrawal/pageExport',
    data,
    name
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/withdrawal/detail`,
    method: 'post',
    params
  })
}

// 设为已发
export function update(params) {
  return request({
    url: `/withdrawal/update`,
    method: 'post',
    params
  })
}